package thesis.gui;

import javax.swing.DefaultComboBoxModel;
import javax.swing.SpinnerNumberModel;

public class Galaxy {

  public enum Distribution {

    UNIFORM("Uniformna"),
    NORMAL("Normalna");

    private String name;

    private Distribution(String name) {
      this.name = name;
    }

    public String toString() {
      return name;
    }

  }

  private SpinnerNumberModel positionX;
  private SpinnerNumberModel positionY;
  private SpinnerNumberModel velocityX;
  private SpinnerNumberModel velocityY;
  private SpinnerNumberModel radius;
  private SpinnerNumberModel mass;
  private SpinnerNumberModel numStars;
  private DefaultComboBoxModel distibution;
  
  public Galaxy() {
    positionX = new SpinnerNumberModel(0.0, -8.0, 8.0, 0.1);
    positionY = new SpinnerNumberModel(0.0, -4.5, 4.5, 0.1);
    velocityX = new SpinnerNumberModel(0.0, -4.0, 4.0, 0.1);
    velocityY = new SpinnerNumberModel(0.0, -3, 3, 0.1);
    radius = new SpinnerNumberModel(1.0, 0.25, 2.5, 0.05);
    mass = new SpinnerNumberModel(10, 1, 1000, 1);
    numStars = new SpinnerNumberModel(10000, 10000, 1000000, 10000);
    distibution = new DefaultComboBoxModel(Distribution.values());
  }

  public SpinnerNumberModel getPositionX() {
    return positionX;
  }

  public SpinnerNumberModel getPositionY() {
    return positionY;
  }

  public SpinnerNumberModel getVelocityX() {
    return velocityX;
  }

  public SpinnerNumberModel getVelocityY() {
    return velocityY;
  }

  public SpinnerNumberModel getRadius() {
    return radius;
  }

  public SpinnerNumberModel getMass() {
    return mass;
  }

  public SpinnerNumberModel getNumberOfStars() {
    return numStars;
  }

  public DefaultComboBoxModel getDistibution() {
    return distibution;
  }

}
