package thesis.simulation;

import java.util.List;

import thesis.tree.Body;

public final class StaticSimulator extends ThreadedSimulator {
  
  private final class StaticWorker extends Worker {
    
    private int begin;
    private int end;
    
    private StaticWorker(int begin, int end) {
      super();
      this.begin = begin;
      this.end = end;
    }

    @Override
    protected void work() throws InterruptedException {
      for (int i = begin; i < end; ++i) {
        integrator.calculateAcceleration(bodies.get(i), root);
      }
    }
    
  }
  
  public StaticSimulator(List<Body> bodies, int steps, int numWorkers) {
    super(bodies, steps, numWorkers);
  }
  
  @Override
  protected Worker createWorker(int index) {
    int slice = bodies.size() / getWorkersCount() + 1;
    int begin = index * slice;
    int end = Math.min((index + 1) * slice, bodies.size());
    
    return new StaticWorker(begin, end);
  }

}
